import { IterableQuery } from './IterableQuery';
export interface IterablePermutation<T> extends Iterable<T> {
    sort(): IterableQuery<T>;
    sort(compareFn: (element1: T, element2: T) => number): IterableQuery<T>;
    shuffle(): IterableQuery<T>;
    reverse(): IterableQuery<T>;
}
