export interface IterablePredicate<T> extends Iterable<T> {
    every(predicate: (element: T, index: number) => boolean): boolean;
    some(predicate: (element: T, index: number) => boolean): boolean;
    includes(element: T, fromIndex?: number): boolean;
}
